Your SlideShare is downloading. ×
Babushka
Upcoming SlideShare
Loading in...5
×

Thanks for flagging this SlideShare!

Oops! An error has occurred.

×

Saving this for later?

Get the SlideShare app to save on your phone or tablet. Read anywhere, anytime - even offline.

Text the download link to your phone

Standard text messaging rates apply

Babushka

1,408
views

Published on

My slides from piterrb #3

My slides from piterrb #3

Published in: Technology

0 Comments
3 Likes
Statistics
Notes
  • Be the first to comment

No Downloads
Views
Total Views
1,408
On Slideshare
0
From Embeds
0
Number of Embeds
0
Actions
Shares
0
Downloads
1
Comments
0
Likes
3
Embeds 0
No embeds

Report content
Flagged as inappropriate Flag as inappropriate
Flag as inappropriate

Select your reason for flagging this presentation as inappropriate.

Cancel
No notes for slide

Transcript

  • 1. @gazay
  • 2. system administration for rubists
  • 3. setup server• manually• puppet• chef• gitpusshuten• babushka• etc…
  • 4. manually
  • 5. chef & puppet
  • 6. simple setup one server for rails app
  • 7. test-driven sysadmin
  • 8. nested
  • 9. test-driven?test code
  • 10. test task
  • 11. $ ruby --versionruby 1.8.7 …$ rvm use 1.9.2Using ruby 1.9.2 p0$ ruby --versionruby 1.9.2p0 …
  • 12. $ ruby --versionruby 1.8.7 … test$ rvm use 1.9.2Using ruby 1.9.2 p0 task$ ruby --versionruby 1.9.2p0 … test
  • 13. dependency$ ruby --versionruby 1.8.7 …$ rvm use 1.9.2Using ruby 1.9.2 p0
  • 14. shell( ‘ruby –version’ )[ ‘ruby 1.9.2 p0’ ]shell( ‘rvm use 1.9.2’ )
  • 15. met? { shell( ‘ruby –version’ )[ ‘ruby 1.9.2 p0’ ]} shell( ‘rvm use 1.9.2’ )
  • 16. met? { shell( ‘ruby –version’ )[ ‘ruby 1.9.2 p0’ ]}meet { shell( ‘rvm use 1.9.2’ )}
  • 17. dep ‘ruby 1.9.2 in use’ do met? { shell( ‘ruby –version’ )[ ‘ruby 1.9.2 p0’ ] } meet { shell( ‘rvm use 1.9.2’ ) }end
  • 18. nested
  • 19. dep ‘ruby 1.9.2 in use’ do requires ‘1.9.2 rvm ruby’ met? { shell( ‘ruby –version’ )[ ‘ruby 1.9.2 p0’ ] } meet { shell( ‘rvm use 1.9.2’ ) }end
  • 20. dep ‘1.9.2 rvm ruby’ do requires ‘rvm’ met? { shell( ‘rvm list’ )[ ‘ruby-1.9.2-p0’ ] } meet { shell( ‘rvm install 1.9.2’ ) }end
  • 21. dep ‘rvm’ do met? { which ‘rvm’ } meet { shell bash -c "`curl http://rvm.beginrescueend.com/releases/rvminstall-head`" }end
  • 22. dep Cucumber.tmbundle do source git://github.com/bmabey/cucumbertmbundle.gitend
  • 23. sharingdep setup-user do requires [ benhoskings:passwordless ssh logins, benhoskings:hostname, benhoskings:secured ssh logins, benhoskings:admins can sudo‘ ]end
  • 24. git://github.com/ benhoskings /babushka-deps
  • 25. railsrumble stack
  • 26. thanks!